package com.energy.manage.service.domain.vo.analysis;

import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Objects;

/**
 * @author chy
 * @date 2024/7/16 13:32
 * @desc
 */
@Data
@Accessors(chain = true)
public class AnalysisTypeShortVo {

    /**
     * 分析类型编码
     */
    private String analysisTypeCode;

    /**
     * 分析类型名称
     */
    private String analysisTypeName;

    @Override
    public int hashCode() {
        return Objects.hash(analysisTypeCode,analysisTypeName);
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) return true;
        if (obj == null || getClass() != obj.getClass()) return false;
        AnalysisTypeShortVo vo = (AnalysisTypeShortVo) obj;
        return Objects.equals(analysisTypeCode, vo.analysisTypeCode) &&
                Objects.equals(analysisTypeName, vo.analysisTypeName);
    }
}
